Package ghidra.util.data

# Enum Class DataTypeParser.AllowedDataTypes

java.lang.Object
java.lang.Enum<DataTypeParser.AllowedDataTypes>
ghidra.util.data.DataTypeParser.AllowedDataTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<DataTypeParser.AllowedDataTypes>`, `Constable`

Enclosing class:
  `DataTypeParser`

public static enum DataTypeParser.AllowedDataTypes extends Enum<DataTypeParser.AllowedDataTypes>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  All data-types are permitted (excluding bitfields)
  `BITFIELD_BASE_TYPE`
  Only Enums, Integer types and those Typedefs based on them for use as a bitfield base datatype
  `DYNAMIC`
  All data-types, excluding factory data-types are permitted
  `FIXED_LENGTH`
  Only Fixed-length data-types
  `SIZABLE_DYNAMIC`
  All fixed-length data-types and sizable Dynamic(i.e., canSpecifyLength) data-types
  `SIZABLE_DYNAMIC_AND_BITFIELD`
  All fixed-length data-types, sizable Dynamic data-types.
  `STRINGS_AND_FIXED_LENGTH`
  Only Fixed-length data types and string data types

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataTypeParser.AllowedDataTypes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataTypeParser.AllowedDataTypes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final DataTypeParser.AllowedDataTypes ALL
    All data-types are permitted (excluding bitfields)

  - ### DYNAMIC

    public static final DataTypeParser.AllowedDataTypes DYNAMIC
    All data-types, excluding factory data-types are permitted

  - ### SIZABLE_DYNAMIC

    public static final DataTypeParser.AllowedDataTypes SIZABLE_DYNAMIC
    All fixed-length data-types and sizable Dynamic(i.e., canSpecifyLength) data-types

  - ### SIZABLE_DYNAMIC_AND_BITFIELD

    public static final DataTypeParser.AllowedDataTypes SIZABLE_DYNAMIC_AND_BITFIELD
    All fixed-length data-types, sizable Dynamic data-types. In addition a bitfield specification may be specified (e.g., int:2) for use when defining structure and union components only (see `DataTypeParser.ProxyBitFieldDataType`). Parser must be properly constructed with the intended `DataTypeParser.destinationDataTypeManager`. If a bitfield is returned special handling is required.

  - ### FIXED_LENGTH

    public static final DataTypeParser.AllowedDataTypes FIXED_LENGTH
    Only Fixed-length data-types

  - ### STRINGS_AND_FIXED_LENGTH

    public static final DataTypeParser.AllowedDataTypes STRINGS_AND_FIXED_LENGTH
    Only Fixed-length data types and string data types

  - ### BITFIELD_BASE_TYPE

    public static final DataTypeParser.AllowedDataTypes BITFIELD_BASE_TYPE
    Only Enums, Integer types and those Typedefs based on them for use as a bitfield base datatype

- ## Method Details

  - ### values

    public static DataTypeParser.AllowedDataTypes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataTypeParser.AllowedDataTypes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null